#ifndef STRUCTURES_H
#define STRUCTURES_H

#include <sys/types.h>

#define PSERVER "\033[34m<Server>\033[39m "
#define PCLIENT "\033[94m<Client>\033[39m "
#define PHELP "\033[92m<Help>\033[39m "

#define CLEAR 1

// semaphore
union semun {
    int val;
    struct semid_ds * buf;
    unsigned short * array;
};

#define KEYFILE "./LICENSE"

// shared memory
#define SHMERR (void *)-1

typedef struct {
    int collums;
    int rows;
    char player1Token;
    char player2Token;
} input_server_t;

typedef enum {
    EMPTY,
    PLAYER1,
    PLAYER2
} tile_t;

#endif